aboutsummaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@gmail.com>2018-08-30 09:55:10 -0400
committerJoseph Hunkeler <jhunkeler@gmail.com>2018-08-30 09:55:10 -0400
commitccb0dabb308ba8855de5371ded0f8eea2bdf91ac (patch)
tree54ab634659019469a91a0628ca719c2052191147 /build.sh
parent7239121fdad2f33083bbd670a1b6871f88730c49 (diff)
downloaddocker-buildsys-pipeline-ccb0dabb308ba8855de5371ded0f8eea2bdf91ac.tar.gz
Simple build script
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..b9b6bd2
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+tag="$1"
+if [[ ! $tag ]]; then
+ echo "No tag specified."
+ exit 1
+fi
+
+url="$2"
+if [[ ! $url ]]; then
+ echo "No spec file specified."
+ exit 1
+fi
+
+docker build \
+ -t "astroconda/buildsys-pipeline:${tag}" \
+ --build-arg PIPELINE_URL="${url}" $(pwd)